Package org.apache.tools.ant.taskdefs

## Class XSLTProcess.Factory

- java.lang.Object
- - org.apache.tools.ant.taskdefs.XSLTProcess.Factory

Enclosing class:
  XSLTProcess

    public static class XSLTProcess.Factory
    extends java.lang.Object

The factory element to configure a transformer factory

Since:
  Ant 1.6

### Nested Class Summary

Nested Classes
`static class` `XSLTProcess.Factory.Attribute` A JAXP factory attribute.
`static class` `XSLTProcess.Factory.Feature` A feature for the TraX factory.

### Constructor Summary

Constructors
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAttribute​(XSLTProcess.Factory.Attribute attr)` Create an instance of a factory attribute.
`void` `addFeature​(XSLTProcess.Factory.Feature feature)` Create an instance of a factory feature.
`java.util.Enumeration<XSLTProcess.Factory.Attribute>` `getAttributes()` return the attribute elements.
`java.lang.Iterable<XSLTProcess.Factory.Feature>` `getFeatures()` The configured features.
`java.lang.String` `getName()`
`void` `setName​(java.lang.String name)` Set the name of the factory

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### getName

    public java.lang.String getName()

Returns:
  the name of the factory.

#### setName

    public void setName​(java.lang.String name)

Set the name of the factory

Parameters:
  `name` - the name of the factory.

#### addAttribute

    public void addAttribute​(XSLTProcess.Factory.Attribute attr)

Create an instance of a factory attribute.

Parameters:
  `attr` - the newly created factory attribute

#### getAttributes

    public java.util.Enumeration<XSLTProcess.Factory.Attribute> getAttributes()

return the attribute elements.

Returns:
  the enumeration of attributes

#### addFeature

    public void addFeature​(XSLTProcess.Factory.Feature feature)

Create an instance of a factory feature.

Parameters:
  `feature` - the newly created feature
Since:
  Ant 1.9.8

#### getFeatures

    public java.lang.Iterable<XSLTProcess.Factory.Feature> getFeatures()

The configured features.

Returns:
  Iterable<Feature>
Since:
  Ant 1.9.8